<?php
/* Busqueda de registros de la tabla GSS_TipoCambio redefinidos por el usuario. */
class GSS_TipoCambioFN extends BaseGSS_TipoCambioFN
{
    public function selectByPK( $s_IdMoneda, $s_IdMonedaCambio, $d_IdFechaCambio, $i_IdCompania )
    {
        return parent::selectByPK( $s_IdMoneda, $s_IdMonedaCambio, $d_IdFechaCambio, 1 );
    }

    public static function getTipoCambioValor( $s_Fecha = null )
    {
        return null;
        $o_GSS_TipoCambioBN = null;
        if( is_null( $s_Fecha ) )
        {
            $s_Fecha = date( "Y-m-d" );
        }
        $o_GSS_TipoCambioFN = new GSS_TipoCambioFN();
        $o_GSS_TipoCambioFN->setIdMoneda( "EX" );
        $o_GSS_TipoCambioFN->setIdMonedaCambio( "LO" );
        $o_GSS_TipoCambioFN->setIdFechaCambio( $s_Fecha );
        $o_GSS_TipoCambioFN->setIdCompania( myUser::getUser()->getIdBusiness() );
        $a_GSS_TipoCambio = $o_GSS_TipoCambioFN->select();
        if( $a_GSS_TipoCambio )
        {
            $o_GSS_TipoCambioBN = $a_GSS_TipoCambio[0];
        }
        if( $o_GSS_TipoCambioBN )
        {
            $f_TipoCambio = floatval( $o_GSS_TipoCambioBN->getSunatVenta() );
        }
        else 
        {
            $f_TipoCambio = null;
        }
        return $f_TipoCambio;
    }
    
    public static function getStaticTipoCambioCobranza( $s_Fecha = null )
    {
        if( is_null( $s_Fecha ) )
        {
            $s_Fecha = date( "Y-m-d" );
        }
        $o_GSS_TipoCambioFN = new GSS_TipoCambioFN();
        $o_GSS_TipoCambioBN = $o_GSS_TipoCambioFN->selectByPK( "EX", "LO", $s_Fecha, myUser::getUser()->getIdBusiness() );
        if ( $o_GSS_TipoCambioBN )
        {
            return $o_GSS_TipoCambioBN->getTipoCambioCobranza();
        }
        return 0;
    }

    public static function getStaticTipoCambioCompra( $s_Fecha = null )
    {
        if( is_null( $s_Fecha ) )
        {
            $s_Fecha = date( "Y-m-d" );
        }
        $o_GSS_TipoCambioFN = new GSS_TipoCambioFN();
        $o_GSS_TipoCambioBN = $o_GSS_TipoCambioFN->selectByPK( "EX", "LO", $s_Fecha, myUser::getUser()->getIdBusiness() );
        if ( $o_GSS_TipoCambioBN )
        {
            return $o_GSS_TipoCambioBN->getSunatCompra();
        }
        return 0;
    }

    public static function getStaticTipoCambioVenta( $s_Fecha = null )
    {
        if( is_null( $s_Fecha ) )
        {
            $s_Fecha = date( "Y-m-d" );
        }
        $o_GSS_TipoCambioFN = new GSS_TipoCambioFN();
        $o_GSS_TipoCambioBN = $o_GSS_TipoCambioFN->selectByPK( "EX", "LO", $s_Fecha, myUser::getUser()->getIdBusiness() );
        if ( $o_GSS_TipoCambioBN )
        {
            return $o_GSS_TipoCambioBN->getSunatVenta();
        }
        return 0;
    }
}
?>